Loading...
Searching...
No Matches
XrdXrootdProtocol.hh File Reference
`#include <cstdlib>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include "XrdNet/XrdNetPMark.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdSys/XrdSysRAtomic.hh"`
`#include "XrdSec/XrdSecInterface.hh"`
`#include "XrdSfs/XrdSfsDio.hh"`
`#include "XrdSfs/XrdSfsXioImpl.hh"`
`#include "Xrd/XrdObject.hh"`
`#include "Xrd/XrdProtocol.hh"`
`#include "XrdXrootd/XrdXrootdMonitor.hh"`
`#include "XrdXrootd/XrdXrootdReqID.hh"`
`#include "XrdXrootd/XrdXrootdResponse.hh"`
`#include "XProtocol/XProtocol.hh"`
Include dependency graph for XrdXrootdProtocol.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdXrootd::gdCallBack
struct | XrdXrootdProtocol::GetDataCtl
union | XrdXrootdProtocol::GetDataCtl.__unnamed0__
union | XrdXrootdProtocol::GetDataCtl.__unnamed1__
struct | XrdXrootd::IOParms
union | XrdXrootd::IOParms.__unnamed0__
struct | XrdXrootdProtocol::RC_Table
struct | XrdXrootdProtocol::RD_Table
class | XrdXrootdProtocol

## Namespaces

namespace | XrdXrootd

## Macros

#define | __attribute__(x)
#define | ROOTD_PQ 2012
#define | XRD_BOUNDPATH 8
#define | XRD_LOGGEDIN 1
#define | XRD_NEED_AUTH 2

## Class Documentation

## XrdXrootdProtocol::GetDataCtl.__unnamed0__

union XrdXrootdProtocol::GetDataCtl.__unnamed0__

Definition at line 559 of file XrdXrootdProtocol.hh.

Collaboration diagram for XrdXrootdProtocol::GetDataCtl.__unnamed0__:

Class Members
int | BuffLen |
int | DumpLen |
int | iovAdj |

## XrdXrootdProtocol::GetDataCtl.__unnamed1__

union XrdXrootdProtocol::GetDataCtl.__unnamed1__

Definition at line 567 of file XrdXrootdProtocol.hh.

Collaboration diagram for XrdXrootdProtocol::GetDataCtl.__unnamed1__:

Class Members
char * | Buffer |
struct iovec * | iovVec |

## XrdXrootd::IOParms.__unnamed0__

union XrdXrootd::IOParms.__unnamed0__

Definition at line 139 of file XrdXrootdProtocol.hh.

Collaboration diagram for XrdXrootd::IOParms.__unnamed0__:

Class Members
int | EInfo[2] |
long long | Offset |
long long | WVBytes |

## XrdXrootdProtocol::RC_Table

struct XrdXrootdProtocol::RC_Table

Definition at line 452 of file XrdXrootdProtocol.hh.

Collaboration diagram for XrdXrootdProtocol::RC_Table:

Class Members
char * | Domain[4] |
short | DomCnt |
bool | lclDom |
bool | pvtIP |

## XrdXrootdProtocol::RD_Table

struct XrdXrootdProtocol::RD_Table

Definition at line 448 of file XrdXrootdProtocol.hh.

Collaboration diagram for XrdXrootdProtocol::RD_Table:

Class Members
char * | Host[2] |
unsigned short | Port[2] |
short | RDSz[2] |

## Macro Definition Documentation

## __attribute__

#define __attribute__ | ( |  | x | ) |

Definition at line 62 of file XrdXrootdProtocol.hh.

## ROOTD_PQ

#define ROOTD_PQ 2012

Definition at line 55 of file XrdXrootdProtocol.hh.

Referenced by XrdXrootdProtocol::Match().

## XRD_BOUNDPATH

#define XRD_BOUNDPATH 8

Definition at line 59 of file XrdXrootdProtocol.hh.

Referenced by XrdXrootdProtocol::Recycle().

## XRD_LOGGEDIN

#define XRD_LOGGEDIN 1

Definition at line 57 of file XrdXrootdProtocol.hh.

## XRD_NEED_AUTH

#define XRD_NEED_AUTH 2

Definition at line 58 of file XrdXrootdProtocol.hh.

Referenced by XrdXrootdProtocol::Process2().